Page MenuHomeFreeBSD

databases/mantis: Update to 2.16.0
ClosedPublic

Authored by tobik on Aug 24 2018, 9:54 PM.

Details

Summary
databases/mantis: Update to 2.16.0

- Use upstream release tarball instead of doing our own broken vendoring
- Add missing PHP extensions
- Add LICENSE
- Update plugins
- Take maintainership

Changes:	https://mantisbt.org/bugs/changelog_page.php?project=mantisbt&version=2.16.0
MFH:		2018Q3 (with r477954)
Security:	0822a4cf-9318-11e8-8d88-00e04c1ea73d

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Aug 24 2018, 9:54 PM
tobik updated this revision to Diff 47266.Aug 24 2018, 9:59 PM
  • Install all plugins by default

I just started to work on this. I'm getting Either /usr/ports/databases/mantis/distinfo is out of date, or

> mantisbt-plugins-Activity-99cf873396ebc3fec431c6746dae1a604768f322_GH0.tar.gz is spelled incorrectly. and suspect it will do so on the other plugins as well. I did make makesum as well

I just started to work on this. I'm getting Either /usr/ports/databases/mantis/distinfo is out of date, or

> mantisbt-plugins-Activity-99cf873396ebc3fec431c6746dae1a604768f322_GH0.tar.gz is spelled incorrectly. and suspect it will do so on the other plugins as well. I did make makesum as well

How did you apply the diff from this review? I cannot reproduce this.

I just started to work on this. I'm getting Either /usr/ports/databases/mantis/distinfo is out of date, or

> mantisbt-plugins-Activity-99cf873396ebc3fec431c6746dae1a604768f322_GH0.tar.gz is spelled incorrectly. and suspect it will do so on the other plugins as well. I did make makesum as well

How did you apply the diff from this review? I cannot reproduce this.

I applied it from the bugzilla report. I don't know why I get the error; I checked the commit IDs and all were fine except ofc the default one

This revision is now accepted and ready to land.Aug 24 2018, 10:14 PM
mat added inline comments.Aug 25 2018, 6:26 AM
databases/mantis/Makefile
9 ↗(On Diff #47266)

You should set DISTNAME instead of DISTFILES.

22 ↗(On Diff #47266)

You can then remove this.

86–102 ↗(On Diff #47266)

You should be able to remove all these by using a path in the GH_TUPLEs.

tobik added inline comments.Aug 25 2018, 6:43 AM
databases/mantis/Makefile
9 ↗(On Diff #47266)

Doesn't work when using GH_TUPLE with USE_GITHUB=nodefault and MASTER_SITES set. mantisbt-2.16.0.tar.gz never makes it into DISTFILES in that case. What am I missing?

86–102 ↗(On Diff #47266)

How would I only extract only the TimeTracking subdirectory from the timetracking tarball with GH_TUPLE?

Doing something like

TIMETRACKING_GH_TUPLE=  mantisbt-plugins:timetracking:3a560673d85e17651fc1994f5e09e2ae9df62336:timetracking/plugins

doesn't work and I end up with plugins/timetracking-3a560673d85e17651fc1994f5e09e2ae9df62336/TimeTracking which is wrong.

dvl added a subscriber: dvl.Aug 25 2018, 3:16 PM
dvl added a comment.Aug 25 2018, 3:24 PM

The patches here did not apply cleanly against head for me, specifically, against Makefile. I manually applied the changes and built. It runs well on my box. Thank you.

My working patch against head is at https://gist.github.com/dlangille/a9de194209795a4261eebbd3de65e841

For convenience, a copy of the patch for Makefile is provided separately.

tobik updated this revision to Diff 47288.Aug 25 2018, 3:29 PM

@dvl: Thank you for testing!

This revision now requires review to proceed.Aug 25 2018, 3:29 PM
dvl added a comment.Aug 25 2018, 3:47 PM

This builds cleanly on my servers.

dvl added inline comments.Aug 25 2018, 4:05 PM
databases/mantis/pkg-descr
5 ↗(On Diff #47288)

From http://www.mantisbt.org/docs/master/en-US/Admin_Guide/html/admin.install.requirements.software.html

MantisBT requires a database to store its data. The supported RDBMS are:
MySQL (or one of its forks, e.g. MariaDB)
PostgreSQL
Experimental support is also available for
Microsoft SQL Server
Oracle

ndowens_yahoo.com resigned from this revision.Aug 25 2018, 4:54 PM
dvl added inline comments.Aug 26 2018, 10:16 PM
databases/mantis/Makefile
9 ↗(On Diff #47266)

Seems to work now:

$ grep DISTVERSION Makefile
DISTVERSION=	2.16.0


$ make -V DISTFILES
mantisbt-2.16.0.tar.gz mantisbt-plugins-Activity-99cf873396ebc3fec431c6746dae1a604768f322_GH0.tar.gz:activity mantisbt-plugins-Announce-v2.3.0_GH0.tar.gz:announce mantisbt-plugins-MantisBT-Colorized-f43dc4cc36e8851f8df1797116f904ccf5f1689d_GH0.tar.gz:colorized mantisbt-plugins-CustomReporter-v2.0.0_GH0.tar.gz:customreporter mantisbt-plugins-EmailReporting-EmailReporting_0.10.1_GH0.tar.gz:emailrep mantisbt-plugins-EventLog-74fd03cf85a32088a0206bc73bb14ddbd148aed2_GH0.tar.gz:eventlog mantisbt-plugins-GaugeSupport-5fd657c713c6ee5ff2ae8bfbedb30a700d38f2db_GH0.tar.gz:gauge mantisbt-plugins-JqueryChosen-dc305e987ea3693bb92d22545ba23f3fc44d04c3_GH0.tar.gz:jquerychosen mantisbt-plugins-jQuery-UI-ca77afa51166658b469dd11bfff7713485935bda_GH0.tar.gz:jqueryui mantisbt-plugins-Lightbox-f8220ba689378054ca433f718d909dc41a803def_GH0.tar.gz:lightbox mantisbt-plugins-piwik-a2dba46836bdc07a80b8040e889ba0606f97415e_GH0.tar.gz:piwik mantisbt-plugins-SampleAuth-34856715f49a5c273f33e094c759c0e0b52b3912_GH0.tar.gz:sampleauth mantisbt-plugins-Slack-0e00367057a46171cb17b8eb8ff9bf6138b24525_GH0.tar.gz:slack mantisbt-plugins-Snippets-v2.2.5_GH0.tar.gz:snippets mantisbt-plugins-source-integration-v2.1.3_GH0.tar.gz:si mantisbt-plugins-Taskodrome-0491fa47062cdfa7bf03c01bd286986c75a18453_GH0.tar.gz:taskodrome mantisbt-plugins-timetracking-3a560673d85e17651fc1994f5e09e2ae9df62336_GH0.tar.gz:timetracking

testport succeeded.

tobik updated this revision to Diff 47329.Aug 27 2018, 4:46 AM
  • Improve pkg-descr
tobik updated this revision to Diff 47330.Aug 27 2018, 4:50 AM
  • Improve pkg-descr (again)
mat added inline comments.Aug 27 2018, 10:23 AM
databases/mantis/Makefile
9 ↗(On Diff #47266)

DISTNAME is also used to infer WRKSRC. So you should set:

DISTNAME=  mantisbt-${PORTVERSION} 
DISTFILES= ${DISTNAME}${EXTRACT_SUFX}
tobik marked 4 inline comments as done.Aug 27 2018, 10:34 AM
tobik updated this revision to Diff 47334.
  • Use DISTNAME over setting WRKSRC
tobik added inline comments.Aug 27 2018, 10:34 AM
databases/mantis/Makefile
9 ↗(On Diff #47266)

Yes, but I don't understand why this is preferred to setting WRKSRC. It seems like a personal style kind of thing.

tobik updated this revision to Diff 47335.Aug 27 2018, 10:40 AM
  • Fix FLTBUGLST option (typo FLTBUGLIST -> FLTBUGLST)
tobik updated this revision to Diff 47381.Aug 28 2018, 1:02 PM
  • Enable PHP flavors
tobik marked 5 inline comments as done.Aug 28 2018, 1:04 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 29 2018, 12:03 PM
This revision was automatically updated to reflect the committed changes.